Option to delete smart variables when puppet classes are deleted

02/11/2016 08:10 AM - Bryan Kearney

Status: Resolved   

Priority: Normal   

Assignee: Tom Caspy   

Category: Parameters   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link: 1193978 Red Hat JIRA:  

Pull request:    

Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1193978

Description of problem:

I have multiple duplicate smart variables in the Satellite GUI under "Configure > Smart variables" .

Importing a puppet module  adds it's variables to Smart variables. When deleteing the Puppet module the variables are not removed

from "Smart variables". When importing the same module again a new duplicate entry is created in Smart variables.

You can delete smart variables with the delete button but there's no way to removed multiple entries. When you have over 50

orphaned smart variables it get's cumbersome to delete them one at a time.

Version-Release number of selected component (if applicable):

Installed Packages

candlepin-0.9.23.1-1.el6.noarch

candlepin-common-1.0.1-1.el6_5.noarch

candlepin-scl-1-5.el6_4.noarch

candlepin-scl-quartz-2.1.5-5.el6_4.noarch

candlepin-scl-rhino-1.7R3-1.el6_4.noarch

candlepin-scl-runtime-1-5.el6_4.noarch

candlepin-selinux-0.9.23.1-1.el6.noarch

candlepin-tomcat6-0.9.23.1-1.el6.noarch

elasticsearch-0.90.10-6.el6sat.noarch

katello-1.5.0-30.el6sat.noarch

katello-certs-tools-1.5.6-1.el6sat.noarch

katello-default-ca-1.0-1.noarch

katello-installer-0.0.67-1.el6sat.noarch

katello-server-ca-1.0-1.noarch

katello.croberts.org-apache-1.0-1.noarch

katello.croberts.org-foreman-client-1.0-1.noarch

katello.croberts.org-foreman-proxy-1.0-1.noarch

katello.croberts.org-parent-cert-1.0-1.noarch

katello.croberts.org-puppet-client-1.0-1.noarch

katello.croberts.org-qpid-broker-1.0-1.noarch

katello.croberts.org-qpid-client-cert-1.0-1.noarch

mod_wsgi-3.4-1.pulp.el6sat.x86_64

pulp-admin-client-2.4.4-1.el6sat.noarch

pulp-katello-0.3-4.el6sat.noarch

pulp-nodes-common-2.4.4-1.el6sat.noarch

pulp-nodes-parent-2.4.4-1.el6sat.noarch

pulp-puppet-plugins-2.4.4-1.el6sat.noarch

pulp-puppet-tools-2.4.4-1.el6sat.noarch

pulp-rpm-admin-extensions-2.4.4-1.1.el6sat.noarch

pulp-rpm-handlers-2.4.4-1.1.el6sat.noarch

pulp-rpm-plugins-2.4.4-1.1.el6sat.noarch
pulp-selinux-2.4.4-1.el6sat.noarch

pulp-server-2.4.4-1.el6sat.noarch

python-gofer-qpid-1.3.0-1.el6sat.noarch

python-isodate-0.5.0-1.pulp.el6sat.noarch

python-kombu-3.0.15-12.pulp.el6sat.noarch

python-pulp-agent-lib-2.4.4-1.el6sat.noarch

python-pulp-bindings-2.4.4-1.el6sat.noarch

python-pulp-client-lib-2.4.4-1.el6sat.noarch

python-pulp-common-2.4.4-1.el6sat.noarch

python-pulp-puppet-common-2.4.4-1.el6sat.noarch

python-pulp-rpm-common-2.4.4-1.1.el6sat.noarch

python-qpid-0.22-14.el6sat.noarch

python-qpid-qmf-0.22-37.el6.x86_64

qpid-cpp-client-0.22-42.el6.x86_64

qpid-cpp-server-0.22-42.el6.x86_64

qpid-cpp-server-linearstore-0.22-42.el6.x86_64

qpid-java-client-0.22-6.el6.noarch

qpid-java-common-0.22-6.el6.noarch

qpid-proton-c-0.7-1.el6.x86_64

qpid-qmf-0.22-37.el6.x86_64

qpid-tools-0.22-12.el6.noarch

ruby193-rubygem-katello-1.5.0-93.el6sat.noarch

rubygem-hammer_cli_katello-0.0.4-14.el6sat.noarch

rubygem-smart_proxy_pulp-1.0.1-1.1.el6sat.noarch

How reproducible:

Steps to Reproduce:

1. upload puppet modules and create a content view

2. goto Configure -> Smart Variables

3. see the dups

Actual results:

more than 1 line of smart variables, 1 referencing the puppet module and 1 that does not reference anything

Expected results:

just 1 entry next to the actual module

Additional info:

screenshots are attached as private comments

History

#1 - 02/11/2016 08:21 AM - Dominic Cleal

- Category set to Parameters

#2 - 02/22/2016 04:43 AM - Tom Caspy

- Assignee set to Tom Caspy

#3 - 02/22/2016 06:01 AM - Tom Caspy

- Status changed from New to Need more information

I just destroyed a puppetclass, and it deletes the lookup keys. I believe this is resolved in the parameters rewrite. am I missing something, or should

this bug go down the rabbit hole?

#4 - 02/22/2016 08:21 AM - Bryan Kearney

- Status changed from Need more information to Resolved

I am marking this as resolvbed, and will have downstream test it.
